Skip to content
English

Mailboxes and usage

GET/v1/mailboxes

The list of mailboxes is limited by the owner or the only mailbox of the user session.

Authentication and access · Errors and retries

Request

Terminal window
curl -X GET 'https://adapt-mail.com/v1/mailboxes' \
-H 'Authorization: Bearer <access_token>'

Parameters

X-Customer-IDheader
Option 1

string

Option 2

null

Responses

200 Successful response

application/json

array

Array elements

object

id

integer

account_id

integer

domain_id

integer

email

string

name

string

quota_mb

integer

used_bytes

integer

file_quota_bytes

integer

file_used_bytes

integer

status

string

signature

string

enabled

boolean

access_allowed

boolean

paid_until
Option 1

string

Date and time in UTC. If there is no offset, the value also represents UTC.

Option 2

null

ready_at
Option 1

string

Date and time in UTC. If there is no offset, the value also represents UTC.

Option 2

null

delete_after
Option 1

string

Date and time in UTC. If there is no offset, the value also represents UTC.

Option 2

null

created_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

updated_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

reserved_quota_mb
Option 1

integer

Option 2

null

outbound_high_limit

boolean

outbound_daily_recipient_limit

integer

outbound_daily_recipients_used

integer

outbound_daily_recipients_remaining

integer

outbound_messages_per_minute

integer

outbound_minute_messages_used

integer

outbound_minute_messages_remaining

integer

outbound_recipients_per_message

integer

storage_shared

boolean

true

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object